import 'package:afterwork/data/models/user_model.dart';

/// Modèle représentant le créateur d'un événement.
class CreatorModel extends UserModel {
  CreatorModel({
    required String id,
    required String nom,
    required String prenoms,

  }) : super(
    userId: id,
    nom: nom,
    prenoms: prenoms,
    email: '', // Valeur par défaut vide
    motDePasse: '', // Valeur par défaut vide
  );

  factory CreatorModel.fromJson(Map<String, dynamic> json) {
    return CreatorModel(
      id: json['id'],
      nom: json['nom'],
      prenoms: json['prenoms'],
    );
  }

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': userId,
      'nom': nom,
      'prenoms': prenoms,
    };
  }
}
